#include <SoftwareSerial.h>

#define D7 13
#define D8 15

SoftwareSerial mySerial(D7, D8); // RX = D7, TX  = D8


void setup() {
  Serial.begin(9600); //Start Serial
  mySerial.begin(9600); //Start mySerial
  pinMode(D7,INPUT); //d7 is RX, receiver, so define it as input
  pinMode(D8,OUTPUT); //d8 is TX, transmitter, so define it as output
} // end of setup

void loop() {
  char receivedLetter = '?'; // if empty show question mark
  
  if (mySerial.available() > 0) { //Check if serial is avaliable, if this check is not done you will read 'ÿ'
    receivedLetter = mySerial.read(); //read the char received. This function returns -1 if there is nothing to read.
    Serial.print("LETRA ");Serial.print(receivedLetter); Serial.println(" RECEBIDA"); // Write on serial monitor which letter was received. 
  }
  
} //end of loop
